Bug 127075 - System.map shipped in kernel rpm is not sorted.
System.map shipped in kernel rpm is not sorted.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-01 12:30 EDT by David Mansfield
Modified: 2015-01-04 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-14 00:40:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Mansfield 2004-07-01 12:30:56 EDT
Description of problem:

The System.map is not sorted.  This breaks (at least) the readprofile
program which assumes a sorted system.map.  Additionally, the
System.map produced by vanilla kernels is sorted.

Version-Release number of selected component (if applicable):
2.6.6-1.435 (x64_64 smp)


How reproducible:
always, static file part of package is wrong

Steps to Reproduce:
1.install kernel rpm, look at /boot/System.map
2.
3.
  
Actual results:
for example, last three lines are:

ffffffff803ae6ad r __kstrtab_zone_table
ffffffff80100f18 T _stext
ffffffff804cb000 A _end


Expected results:
_stext needs to be at the top

Additional info:
Comment 1 Dave Jones 2005-01-14 00:40:26 EST
fixed in updates

Note You need to log in before you can comment on or make changes to this bug.